package com.duben.microtribe.mvp.model;

import java.io.Serializable;

/**
 * 描述：BaseResponse
 * 作者：孟崔广
 * 时间：2017/10/10 10:51
 * 邮箱：mengcuiguang@cashbang.cn
 */
public class BaseResponse<T> implements Serializable {

    /**
     * 状态码
     */
    private int status;

    /**
     * 内容
     */
    private String message = "";

    /**
     * 结果
     */
    private T data;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
